namespace DBObj
{
    // song OOP test
    public class Song
    {
        private string Number;
        private string Name;
        private string Name_Simplified; 
        private string FileName;
        private int HumanVoice;
        
        
        public Song(string num,string name,string name_s,string filename,int humanVoice) {
            Number=num;
            Name=name;
            Name_Simplified=name_s;
            FileName=filename;
            HumanVoice =humanVoice;
        }
        public string getNumber() {return Number;}
        public string getName(bool IsSimplified) {return IsSimplified ? Name_Simplified : Name;}
        public string getName() { return Name;}
        public string getFileName() { return FileName;}
        public int getHumanVoice() { return HumanVoice;}
    }
}